module speedChanger(clk, change, speed);

input clk, change;
output [1:0] speed;

reg [1:0] speed;
reg go;

always @(posedge clk) begin
  if (change)
    go <= 1;
  else
    go <= 0;
end

always @(posedge clk) begin
  if (change & ~go) begin
    if (speed < 2)
      speed <= speed + 1;
    else  
      speed <= 0;  
  end
end

endmodule
